/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { ICommandBar, ICommandBarProps, ICommandBarItemProps } from './CommandBar.types';
export interface ICommandBarData {
    /**
     * Items being rendered in the primary region
     */
    primaryItems: ICommandBarItemProps[];
    /**
     * Items being rendered in the overflow
     */
    overflowItems: ICommandBarItemProps[];
    /**
     * Items being rendered on the far side
     */
    farItems: ICommandBarItemProps[] | undefined;
    /**
     * Length of original overflowItems to ensure that they are not moved into primary region on resize
     */
    minimumOverflowItems: number;
    /**
     * Unique string used to cache the width of the command bar
     */
    cacheKey: string;
}
export declare class CommandBarBase extends BaseComponent<ICommandBarProps, {}> implements ICommandBar {
    static defaultProps: ICommandBarProps;
    private _overflowSet;
    private _resizeGroup;
    private _classNames;
    render(): JSX.Element;
    focus(): void;
    remeasure(): void;
    private _computeCacheKey(primaryItems, farItems, overflow);
    private _onReduceData(data);
    private _onGrowData(data);
    private _onRenderItems(item);
    private _onRenderButton(props);
}
